websocket-sharp : WebSocketSharp Namespace

# WsState Enum

Contains the values of the state of the WebSocket connection.

## Syntax

public enum WsState

## Remarks

The WsState enumeration contains the values of the state of the WebSocket connection defined in The WebSocket API.

## Members

Member Name | Description
--- | ---
CLOSED | Equivalent to numeric value 3. Indicates that the connection has been closed or could not be opened.
CLOSING | Equivalent to numeric value 2. Indicates that the connection is going through the closing handshake, or the Close method has been invoked.
CONNECTING | Equivalent to numeric value 0. Indicates that the connection has not yet been established.
OPEN | Equivalent to numeric value 1. Indicates that the connection is established and communication is possible.

## Requirements

Namespace: WebSocketSharp
Assembly: websocket-sharp (in websocket-sharp.dll)